<?PHP
$m = 'TimeConf';
$berogui_path = "/usr/local/www/berogui";

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include($berogui_path .'/includes/session.php');
unset($newTarget);

/* [INCLUDE] */
include('/usr/fallback/beroConf.php');
include_once($berogui_path ."/misc/database.php");
include_once($berogui_path ."/includes/isgwtelnet.php");
include_once($berogui_path ."/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING POST REQUEST] */
unset($_POST['action'], $_POST['Apply']);

$list_post = array('ntphost' => 'hostname', 'timezone' => 'select', 'time_from_isdn' => array('||', 'select', 'int>0'), 'summer_winter_time' => 'bool');

$list_options = array( 
	'timezone' 		=> Helper::getTimezoneList(),
	'time_from_isdn'	=> array('no')
);

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid, $list_options);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);
}

$ba = new beroAri();
$bc = new beroConf('root');
$isgw = new isgwtelnet();
if (($response = $isgw->isgw_login()) == false) {
	echo "<script>window.location='../../index.php?m=$m&isgwerror=1'</script>";
	exit(1);
}

$ntp = $bc->get("root", "gui-ntphost");

$bc->set("root", "gui-ntphost", sqlite_escape_string($_POST['ntphost']));
$bc->set("root", "ntphost", sqlite_escape_string($_POST['ntphost']));
$bc->set("root", "timezone", sqlite_escape_string($_POST['timezone']));

$showDate = '';
if ($_POST['time_from_isdn'] != "no") {
	$bc->set("root", "time_from_isdn", $_POST['time_from_isdn']);
	$ret .= "<br/><div class='text-center'>" . $isgw->itpX($_POST['time_from_isdn']) . "</div><br/>";
	$bc->set("root", "timezone", "0");
	$bc->set("root", "ntphost", "");
	$ba->set("summer_winter_time", "0");
	system(
		"/bin/mount -o remount,rw /;
		/bin/echo \"GMT0\" > /etc/TZ;
 	 	/bin/mount -o remount,ro /;
 	 	/bin/sync;"
	);
	$bc->set("root", "ntphost", "");
	$bc->set("root", "gui-ntphost", "");
}
else {
	//Seite beim Timeout des servers neuladen wenn der ntp host sich verändert hat
	if ($ntp != $_POST['ntphost']) {
		echo '<script>
                            setTimeout(function () {
                                location.href = location.href;
                            }, 500);  // just reloads the page
                      </script>';
	}
	if ($_POST['summer_winter_time'] == "1") {
		$ba->set("summer_winter_time", "1");
		system(
			"/bin/mount -o remount,rw /;
			/bin/echo \"CET" . $_POST['timezone'] . "CEST,M3.5.0/02:00:00,M10.5.0/03:00:00\" > /etc/TZ;
 			/bin/mount -o remount,ro /;
 			/bin/sync;"
		);
	}
	else {
		$ba->set("summer_winter_time", "0");
		system(
			"/bin/mount -o remount,rw /;
	 		/bin/echo \"GMT" . ($_POST['timezone']) . "\" > /etc/TZ;
 	 		/bin/mount -o remount,ro /;
 	 		/bin/sync;"
		);
	}

	$bc->set("root", "time_from_isdn", "no");
	$bc->set("root", "timezone", sqlite_escape_string($_POST['timezone']));
	$bc->set("root", "ntphost", sqlite_escape_string($_POST['ntphost']));
	$bc->set("root", "gui-ntphost", sqlite_escape_string($_POST['ntphost']));

	exec("/usr/sbin/update-time");
	$isgw->itpX("no");
	$showDate='&showDate=1';
}

Helper::activate(1, true, $m, ACTIVATE);
echo "<script>window.location='../../index.php?m=$m$showDate'</script>";
exit(1);
?>
